<?php

/*

----- DE / german ----------

Backlink-Check

Der "Backlink-Checker" der
opensource company
steht unter einer
Creative Commons Namensnennung-Keine Bearbeitung 3.0 Deutschland Lizenz.

http://creativecommons.org/licenses/by-nd/3.0/de/

Idee, lose Fden und Design-Feinschliff:	Alexander Hu, opensource company
http://www.opensource-company.de

Das ganze Gefrickel, preg_match und Design:	Felix Kraneburg, novuspix
http://www.novuspix.de

Verbesserung des Regex in der Version 1.2:	Berthold Lausch, novamaster
http://www.nova-master.de

Dieser Kommentar mu in allen Dateien erhalten bleiben,
ansonsten ist dies als Lizenzversto zu werten

----- EN / english -----

Backlink-Check

The "Backlink-Checker" from
opensource company
is published under
Attribution-No Derivative Works 3.0 Germany licence.

http://creativecommons.org/licenses/by-nd/3.0/de/deed.en

idea, snippets und design-finish:	Alexander Hu, opensource company
http://www.opensource-company.de

the whole fuzzy stuff, preg_match and design:	Felix Kraneburg, novuspix
http://www.novuspix.de

Regex optimisation for version 1.2:	Berthold Lausch, novamaster
http://www.nova-master.de

This comment must stay intact in all files,
otherwise it will be a licence-break.

*/

class Paginator{
    public $ipp;
    public $total;
    public $current_page;
    public $pages;
    public $midRange;
    public $default_ipp = 10;
    public $next = 'Weiter';
    public $prev = 'Zurck';
    public $all = 'Alle';
	public $limit;

    public function __construct($total, $ipp=10)
    {
		if(isset($_GET['ipp'])) $ipp = $_GET['ipp'];
        $this->current	= 1;
        $this->midRange = 7;
        $this->ipp	= $ipp;
		$this->total    = $total;
		$this->start	= isset($_GET['page']) ? ($_GET['page'] - 1) * $this->ipp : 0;
		$this->limit  	= sprintf('LIMIT %d,%d', $this->start, $this->ipp);
    }

    function paginate($total=false)
    {
        $this->pages = ceil($this->total/$this->ipp);
	$pages = '';

	for($i=1;$i<=$this->pages;$i++)
	{
	   if((!isset($_GET['page']) && $i == 1) || $i == @$_GET['page'])
	   {
	      $pages .= sprintf('<span>%s</span>', $i);
	   }else{
	      $pages .= sprintf('<a href="%s">%s</a>', '?page='.$i.'&amp;ipp='.$this->ipp, $i);
	   }
	}

	$result  = '<div class="paginator">';
	$result .= $pages;
	if($total) $result .= '<span class="total">'.$this->total.' Gesamt</span>';
	$result .= '</div>';

	return $result;
    }
}
?>
