-- phpMyAdmin SQL Dump

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";

--
-- Datenbank: `blc`
--

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `base`
--

DROP TABLE IF EXISTS `base`;
CREATE TABLE IF NOT EXISTS `base` (
  `baseid` int(10) unsigned NOT NULL auto_increment,
  `siteurl` tinytext character set latin1 NOT NULL,
  `backlinkurl` tinytext character set latin1 NOT NULL,
  `linktext` text character set latin1 NOT NULL,
  `backbacklink` tinytext character set latin1 NOT NULL,
  `backlinkowner` tinytext character set latin1 NOT NULL,
  `backlinkownerdetail` text character set latin1 NOT NULL,
  `backlinkemail` tinytext character set latin1 NOT NULL,
  `backlinkdate` date NOT NULL,
  PRIMARY KEY  (`baseid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=3 ;

--
-- Daten für Tabelle `base`
--

INSERT INTO `base` (`baseid`, `siteurl`, `backlinkurl`, `linktext`, `backbacklink`, `backlinkowner`, `backlinkownerdetail`, `backlinkemail`, `backlinkdate`) VALUES
(1, 'http://www.office-and-it.de', 'http://www.suchmaschinen-freundlich.de', 'suchmaschinen-freundlich', 'gibt keinen Linktausch', 'Alexander Hu', 'hier könnten Informationen zum Linktausch stehen', 'kontakt@office-and-it.de', '2006-11-26'),
(2, 'http://www.dokeos-deutschland.de', 'http://www.werbeartikel-aller-art.de', 'Werbeartikel', 'gibt es nicht', 'Alexander Hu', 'hier könnte Information zum Linktausch stehen...', 'kontakt@werbeartikel-aller-art.de', '2007-03-25');

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `fail`
--

DROP TABLE IF EXISTS `fail`;
CREATE TABLE IF NOT EXISTS `fail` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `siteurl` tinytext NOT NULL,
  `date` date NOT NULL,
  `time` varchar(5) NOT NULL,
  `link` varchar(10) NOT NULL,
  `text` varchar(10) NOT NULL,
  `follow` varchar(10) NOT NULL,
  `robotstxt` varchar(10) NOT NULL,
  `meta` varchar(100) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

--
-- Daten für Tabelle `fail`
--

INSERT INTO `fail` (`id`, `siteurl`, `date`, `time`, `link`, `text`, `follow`, `robotstxt`, `meta`) VALUES
(1, 'http://www.dokeos-deutschland.de', '2009-03-25', '3:53', '1', '1', '1', '0', 'index, follow');

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `rel`
--

DROP TABLE IF EXISTS `rel`;
CREATE TABLE IF NOT EXISTS `rel` (
  `relid` int(10) unsigned NOT NULL auto_increment,
  `baseid` int(10) unsigned NOT NULL,
  `failid` int(10) unsigned NOT NULL,
  PRIMARY KEY  (`relid`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

--
-- Daten für Tabelle `rel`
--

INSERT INTO `rel` (`relid`, `baseid`, `failid`) VALUES
(1, 1, 1);