<?php

/*

----- DE / german ----------

Backlink-Check

Der "Backlink-Checker" der
opensource company
steht unter einer
Creative Commons Namensnennung-Keine Bearbeitung 3.0 Deutschland Lizenz.

http://creativecommons.org/licenses/by-nd/3.0/de/

Idee, lose Fäden und Design-Feinschliff:	Alexander Hu, opensource company
http://www.opensource-company.de

Das ganze Gefrickel, preg_match und Design:	Felix Kraneburg, novuspix
http://www.novuspix.de

Verbesserung des Regex in der Version 1.2:	Berthold Lausch, novamaster
http://www.nova-master.de

Dieser Kommentar muß in allen Dateien erhalten bleiben,
ansonsten ist dies als Lizenzverstoß zu werten

----- EN / english -----

Backlink-Check

The "Backlink-Checker" from
opensource company
is published under
Attribution-No Derivative Works 3.0 Germany licence.

http://creativecommons.org/licenses/by-nd/3.0/de/deed.en

idea, snippets und design-finish:	Alexander Hu, opensource company
http://www.opensource-company.de

the whole fuzzy stuff, preg_match and design:	Felix Kraneburg, novuspix
http://www.novuspix.de

Regex optimisation for version 1.2:	Berthold Lausch, novamaster
http://www.nova-master.de

This comment must stay intact in all files,
otherwise it will be a licence-break.

*/

require_once("inc/paginator.class.php");
$count = 0;

// MySQL-Connect
require_once("inc/dbconnect.php");

// BLC-Funktion
require_once("inc/blc.function.php");

if(isset($_GET['id'])) {
	$id    = mysql_real_escape_string($_GET['id']);
	$query = mysql_query("SELECT * FROM ".@$prefix."base WHERE baseid = '$id'");
}else{
	$c_query = mysql_query("SELECT * FROM ".@$prefix."base ORDER BY baseid");
	$total = mysql_num_rows($c_query);
	$pages = new Paginator($total);

	// alle Datensätze einlesen
	$query = mysql_query("SELECT * FROM ".@$prefix."base ORDER BY baseid ASC ".$pages->limit);
}

$self  = $_SERVER['PHP_SELF'];
$page  = isset($_GET['page']) ? $_GET['page'] : 1;

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head profile="http://gmpg.org/xfn/11">
<title><?PHP echo($prefix);?></title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="description" content="" />
<meta name="keywords" content="" />
<link rel="stylesheet" href="css/screen.css" type="text/css" media="all" />
</head>
<body>
	<div id="wrapper">
		<div class="top">&nbsp;</div>
		<div id="content">
			<div class="back"><a href="<?php print (isset($_GET['id'])) ? $_SERVER['HTTP_REFERER']: 'index.php'; ?>">zurück</a></div>
			<p class="check">Auswertung Ihrer Backlinks<span class="loader">&nbsp;</span></p>
			<span class="ipp">Einträge pro Seite: 
			<a href="<?php echo $self . '?page=' . $page . '&amp;ipp=5'; ?>">5</a>
			<a href="<?php echo $self . '?page=' . $page . '&amp;ipp=10'; ?>">10</a> 
			<a href="<?php echo $self . '?page=' . $page . '&amp;ipp=15'; ?>">15</a>
			<a href="<?php echo $self . '?page=' . $page . '&amp;ipp=20'; ?>">20</a>
			</span>
			<table cellpadding="0" cellspacing="0" class="view_table">
				<tr>
					<th>Linkgeber / Link-URL</th>
					<th class="fixed">Link</th>
					<th class="fixed">Text</th>
					<th class="fixed">Follow</th>
					<th class="fixed">robots.txt</th>
					<th>Target</th>
					<th>Robots Tag</th>
					<th class="options">Optionen</th>
				</tr>
				<?php
				if($total)
				{
					while($data = mysql_fetch_array($query)) {
						@$count++;
						$siteurl = $data['siteurl'];
						$backlinkurl = $data['backlinkurl'];
						$linktext = $data['linktext'];
						$check = checkBacklink($siteurl, $backlinkurl, $linktext);
						$s_dots = (strlen($data['siteurl']) > 50) ? '...': '';
						$b_dots = (strlen($data['backlinkurl']) > 50) ? '...': '';

						print ($count %2) ? '<tr>': '<tr class="gray">';
						print '<td class="link"><a href="'.$data['siteurl'].'" target="_blank">'.substr($data['siteurl'], 0, 50).$s_dots.'</a><br />';
						print '<span><a href="'.$data['backlinkurl'].'" target="_blank">'.substr($data['backlinkurl'], 0, 50).$b_dots.'</a></span></td>';
						print ($check['url'] == 1) ? '<td><img src="img/status_green.png" /></td>': '<td><img src="img/status_red.png" /></td>';
						print ($check['linktext'] == 1) ? '<td><img src="img/status_green.png" /></td>': '<td>'.$check['linktext'].'</td>';
						print ($check['nofollow'] == 0) ? '<td><img src="img/status_green.png" /></td>': '<td><img src="img/status_red.png" /></td>';
						print ($check['robots-txt'] == 0 OR $check['robots-txt'] == 2) ? '<td><img src="img/status_green.png" /></td>': '<td><img src="img/status_red.png" /></td>';
						print '<td>'.$check['target'].'</td>';
						print '<td>'.$check['robots-meta'].'</td>';
						print '<td><a href="edit.php?id='.$data['baseid'].'"><img src="img/btn_edit.png" alt="edit" /></a><a href="delete.php?id='.$data['baseid'].'"><img src="img/btn_del.png" alt="delete" /></a></td>';
						print '</tr>';

						if($check['url'] != 1 OR $check['linktext'] != 1 OR $check['nofollow'] != 0 OR $check['robots-txt'] == 1) {
							$date = date("Y-m-d");
							$time = date("G:i");
							$savequery = mysql_query("INSERT INTO ".$prefix."fail (id,siteurl,date,time,link,text,follow,robotstxt,meta)
							VALUES (NULL,'$data[siteurl]','$date','$time','$check[url]','$check[linktext]','$check[nofollow]','".$check['robots-txt']."','".$check['robots-meta']."')");
						}
					}
				}
				?>
			</table>
			<div class="page_navi"><?php print (!isset($_GET['id'])) ? $pages->paginate(): ''; ?></div>
		</div>
		<div class="bottom">&nbsp;</div>
	</div>
<script type="text/javascript" src="js/jquery-1.3.2.min.js"></script>
<script type="text/javascript">
	$(document).ready(function() {
		$('a').click(function() {
			this.blur();
			$('.loader').fadeIn("fast");
		});
	});
</script>
</body>
</html>
<?php mysql_close($connect); ?>