<?php

/*

----- DE / german ----------

Backlink-Check

Der "Backlink-Checker" der
opensource company
steht unter einer
Creative Commons Namensnennung-Keine Bearbeitung 3.0 Deutschland Lizenz.

http://creativecommons.org/licenses/by-nd/3.0/de/

Idee, lose Fden und Design-Feinschliff:	Alexander Hu, opensource company
http://www.opensource-company.de

Das ganze Gefrickel, preg_match und Design:	Felix Kraneburg, novuspix
http://www.novuspix.de

Verbesserung des Regex in der Version 1.2:	Berthold Lausch, novamaster
http://www.nova-master.de

Dieser Kommentar mu in allen Dateien erhalten bleiben,
ansonsten ist dies als Lizenzversto zu werten

----- EN / english -----

Backlink-Check

The "Backlink-Checker" from
opensource company
is published under
Attribution-No Derivative Works 3.0 Germany licence.

http://creativecommons.org/licenses/by-nd/3.0/de/deed.en

idea, snippets und design-finish:	Alexander Hu, opensource company
http://www.opensource-company.de

the whole fuzzy stuff, preg_match and design:	Felix Kraneburg, novuspix
http://www.novuspix.de

Regex optimisation for version 1.2:	Berthold Lausch, novamaster
http://www.nova-master.de

This comment must stay intact in all files,
otherwise it will be a licence-break.

*/

require_once("inc/dbconnect.php");

if(isset($_POST['siteurl'])) {
	$id 	= mysql_real_escape_string($_POST['id']);
	$siteurl = mysql_real_escape_string($_POST['siteurl']);
	$rezi 	 = mysql_real_escape_string($_POST['rezi']);
	$linktext= mysql_real_escape_string($_POST['linktext']);
	$backlink= mysql_real_escape_string($_POST['backlink']);
	$owner 	 = mysql_real_escape_string($_POST['owner']);
	$detail  = mysql_real_escape_string($_POST['detail']);
	$email   = mysql_real_escape_string($_POST['email']);
	$date 	 = mysql_real_escape_string($_POST['date']);

	$query 	= mysql_query("UPDATE base SET baseid = '$id', ".
						  "siteurl = '$siteurl',
						  backlinkurl = '$backlink',
						  linktext = '$linktext',
						  backbacklink = '$rezi',
						  backlinkowner = '$owner',
						  backlinkownerdetail = '$detail',
						  backlinkemail = '$email',
						  backlinkdate = '$date' WHERE baseid = '$id'");

	$info = ($query) ? '<p class="success">Ihre Änderungen wurden gespeichert</p>': '';
}

if(isset($_GET['id']) OR isset($_POST['id'])) {
	require_once("inc/dbconnect.php");
	$id 	= ($_GET['id']) ? mysql_real_escape_string($_GET['id']): mysql_real_escape_string($_POST['id']);
	$query 	= mysql_query("SELECT * FROM base WHERE baseid = '$id'");
	$data 	= mysql_fetch_array($query);
}

mysql_close($connect);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head profile="http://gmpg.org/xfn/11">
<title>Backlink-Checker</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="description" content="" />
<meta name="keywords" content="" />
<link rel="stylesheet" href="css/screen.css" type="text/css" media="all" />
</head>
<body>
	<div id="wrapper">
		<div class="top">&nbsp;</div>
		<div id="content">
			<div class="back"><a href="index.php">zurück</a></div>
			<p class="write">Linkpartner bearbeiten</p>
			<?php print (!empty($info)) ? $info: ""; ?>
			<form action="edit.php" method="post">
			<input type="hidden" name="id" value="<?php echo $id; ?>" />
			<label for="siteurl">Linkgeber:</label>
			<input type="text" value="<?php echo $data['siteurl']; ?>" name="siteurl" id="siteurl" size="60" maxlength="245" /><br />
			<label for="backlink">Link-URL:</label>
			<input type="text" value="<?php echo $data['backlinkurl']; ?>" name="backlink" id="backlink" size="60" maxlength="245" /><br />
			<label for="linktext">Link-Text:</label>
			<input type="text" value="<?php echo $data['linktext']; ?>" name="linktext" id="linktext" size="60" maxlength="245" /><br />
			<label for="rezi">Back-Backlink:</label>
			<input type="text" value="<?php echo $data['backbacklink']; ?>" name="rezi" id="rezi" size="60" maxlength="245" /><br />
			<label for="owner">Webmaster:</label>
			<input type="text" value="<?php echo $data['backlinkowner']; ?>" name="owner" id="owner" size="60" maxlength="245" /><br />
			<label for="detail">Notiz zum Eintrag:</label>
			<textarea name="detail" id="detail" cols="68" rows="10"><?php echo $data['backlinkownerdetail']; ?></textarea><br />
			<label for="email">Email:</label>
			<input type="text" value="<?php echo $data['backlinkemail']; ?>" name="email" id="email" size="60" maxlength="245" /><br />
			<label for="date">Datum des Tausches:<br /><span>(im Format YYYY-MM-DD)</span></label>
			<input type="text" value="<?php echo $data['backlinkdate']; ?>" name="date" id="date" /><br />
			<input type="submit" name="eintragen" id="eintragen" value="Speichern" />
			</form>
			<br style="clear: both;" />
		</div>
		<div class="bottom">&nbsp;</div>
	</div>
</body>
</html>